Package org.h2gis.functions.spatial.properties

# Class ST_EstimatedExtent

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.functions.spatial.properties.ST_EstimatedExtent

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_EstimatedExtent extends org.h2gis.api.AbstractFunction implements org.h2gis.api.ScalarFunction
Estimated extent function based on the internal H2 ESTIMATED_ENVELOPE

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_EstimatedExtent()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Geometry`
`computeEstimatedExtent(Connection connection, String tableName)`
Compute the estimated extent based on the first geometry column
`static org.locationtech.jts.geom.Geometry`
`computeEstimatedExtent(Connection connection, String tableName, String geometryColumn)`
Compute the estimated extent based on a geometry field
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_EstimatedExtent

public ST_EstimatedExtent()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

### computeEstimatedExtent

public static org.locationtech.jts.geom.Geometry computeEstimatedExtent(Connection connection, String tableName) throws SQLException
Compute the estimated extent based on the first geometry column

Parameters:
  `connection` -
  `tableName` -
Returns:
Throws:
  `SQLException`

### computeEstimatedExtent

public static org.locationtech.jts.geom.Geometry computeEstimatedExtent(Connection connection, String tableName, String geometryColumn) throws SQLException
Compute the estimated extent based on a geometry field

Parameters:
  `connection` -
  `tableName` -
  `geometryColumn` -
Returns:
Throws:
  `SQLException`